## exodusii 5.14.dfsg.1

=== exodus/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(ExodusII)

SET(EXODUSII_VERSION_MAJOR "5")
SET(EXODUSII_VERSION_MINOR "14")
SET(EXODUSII_VERSION_PATCH "0")
SET(EXODUSII_VERSION "${EXODUSII_VERSION_MAJOR}.${EXODUSII_VERSION_MINOR}")
SET(EXODUSII_VERSION_FULL "${EXODUSII_VERSION}.${EXODUSII_VERSION_PATCH}")

SET(EXODUSII_BUILD_SHARED_LIBS "${BUILD_SHARED_LIBS}")

SUBDIRS(cbind)

=== nemesis/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(Nemesis)

SET(NEMESIS_VERSION_MAJOR "3")
SET(NEMESIS_VERSION_MINOR "09")
SET(NEMESIS_VERSION_PATCH "0")
SET(NEMESIS_VERSION "${NEMESIS_VERSION_MAJOR}.${NEMESIS_VERSION_MINOR}")
SET(NEMESIS_VERSION_FULL "${NEMESIS_VERSION}.${NEMESIS_VERSION_PATCH}")

SET(NEMESIS_BUILD_SHARED_LIBS "${BUILD_SHARED_LIBS}")

SET(HEADERS "ne_nemesisI.h")

find_path( NETCDF_INCLUDE_DIR netcdf.h
   $ENV{ACCESS}/inc
   $ENV{NETCDF_DIR}/inc
   $ENV{NETCDF_DIR}/include
   $ENV{NETCDF_DIR}/libsrc
   )	

find_library( NETCDF_LIBRARY netcdf
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  )

find_program (NETCDF_NCDUMP ncdump
   $ENV{ACCESS}/bin
   $ENV{NETCDF_DIR}/bin
   $ENV{NETCDF_DIR}/ncdump
   )

find_library( EXODUS_LIBRARY exodus
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  )

# Hack for HDF5
find_library( HDF5_LIBRARY hdf5
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )

find_library( HDF5HL_LIBRARY hdf5_hl
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )

find_library(Z_LIBRARY z
  /usr/local/zlib/lib
  )

find_library(MATH_LIBRARY
             NAMES m
             PATHS /usr/lib64
                   /usr/lib
)

INCLUDE(CheckIncludeFile)
CHECK_INCLUDE_FILE( malloc.h EX_HAVE_MALLOC_H )

INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_BINARY_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/../exodusii/cbind/include/"
  "${CMAKE_CURRENT_BINARY_DIR}/../exodusii/cbind/include/"
  "${NETCDF_INCLUDE_DIR}"
)

SET(SOURCES
ne_gcmp.c
ne_gebig.c
ne_gelcm.c
ne_gelm.c
ne_gelt.c
ne_gennm.c
ne_genv.c
ne_giinf.c
ne_ginig.c
ne_glbp.c
ne_gncm.c
ne_gncor.c
ne_gneat.c
ne_gnelc.c
ne_gnm.c
ne_gnnnm.c
ne_gnns.c
ne_gnnsd.c
ne_gnnv.c
ne_gnspg.c
ne_gnss.c
ne_gnssd.c
ne_gsspg.c
ne_pcmp.c
ne_pcmpc.c
ne_pebig.c
ne_pelcm.c
ne_pelm.c
ne_pevs.c
ne_pennm.c
ne_piinf.c
ne_pinig.c
ne_plbp.c
ne_plbpc.c
ne_pncm.c
ne_pncor.c
ne_pneat.c
ne_pnelc.c
ne_pnm.c
ne_pnnnm.c
ne_pnns.c
ne_pnnsd.c
ne_pnspg.c
ne_pnss.c
ne_pnssd.c
ne_pnvs.c
ne_psspg.c
ne_util.c
)

ADD_LIBRARY(nemesis ${SOURCES})
TARGET_LINK_LIBRARIES(nemesis ${EXODUS_LIBRARY} ${NETCDF_LIBRARY} ${HDF5HL_LIBRARY} ${HDF5_LIBRARY} ${Z_LIBRARY} ${MATH_LIBRARY})

ADD_EXECUTABLE(ne_test ne_test.c)
TARGET_LINK_LIBRARIES( ne_test nemesis ${EXODUS_LIBRARY} ${NETCDF_LIBRARY} ${HDF5HL_LIBRARY} ${HDF5_LIBRARY} ${Z_LIBRARY} ${MATH_LIBRARY})

INSTALL(TARGETS nemesis
  RUNTIME DESTINATION lib COMPONENT Runtime
  LIBRARY DESTINATION lib COMPONENT Runtime
  ARCHIVE DESTINATION lib COMPONENT Development)
INSTALL(FILES ${HEADERS} DESTINATION include COMPONENT Development)

=== exodus/cbind/CMakeLists.txt ===

find_path( NETCDF_INCLUDE_DIR netcdf.h
   $ENV{ACCESS}/inc
   $ENV{NETCDF_DIR}/inc
   $ENV{NETCDF_DIR}/include
   $ENV{NETCDF_DIR}/libsrc
   )	

find_library( NETCDF_LIBRARY netcdf
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  )

find_program (NETCDF_NCDUMP ncdump
   $ENV{ACCESS}/bin
   $ENV{NETCDF_DIR}/bin
   $ENV{NETCDF_DIR}/ncdump
   )

# Hack for HDF5
find_library( HDF5_LIBRARY hdf5
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )
find_library( HDF5HL_LIBRARY hdf5_hl
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )


INCLUDE(CheckIncludeFile)
CHECK_INCLUDE_FILE( malloc.h EX_HAVE_MALLOC_H )

CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/exodusII_cfg.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/include/exodusII_cfg.h
  @ONLY IMMEDIATE)

INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
  "${CMAKE_CURRENT_BINARY_DIR}/include"
  "${NETCDF_INCLUDE_DIR}"
)

SET(cbind_SRCS
src/ex_conv.c
src/ex_utils.c
src/exclos.c
src/excn2s.c
src/excopy.c
src/excre.c
src/exerr.c
src/exgatm.c
src/exgatn.c
src/exgatt.c
src/exgattp.c
src/exgblk.c
src/exgcns.c
src/exgcon.c
src/exgconn.c
src/exgcor.c
src/exgcset.c
src/exgcss.c
src/exgcssc.c
src/exgean.c
src/exgeat.c
src/exgebi.c
src/exgecpp.c
src/exgelb.c
src/exgelc.c
src/exgem.c
src/exgenm.c
src/exgev.c
src/exgevid.c
src/exgevt.c
src/exgfrm.c
src/exggv.c
src/exggvt.c
src/exgidm.c
src/exgids.c
src/exginf.c
src/exgini.c
src/exginix.c
src/exgmap.c
src/exgmp.c
src/exgnam.c
src/exgnams.c
src/exgnconn.c
src/exgncor.c
src/exgnm.c
src/exgnmap.c
src/exgnnm.c
src/exgnnv.c
src/exgnoatt.c
src/exgnp.c
src/exgns.c
src/exgnsd.c
src/exgnsi.c
src/exgnstt.c
src/exgnsv.c
src/exgnsvid.c
src/exgnv.c
src/exgnvar.c
src/exgnvid.c
src/exgnvt.c
src/exgnvv.c
src/exgoatt.c
src/exgoea.c
src/exgotv.c
src/exgp.c
src/exgpa.c
src/exgpem.c
src/exgpn.c
src/exgqa.c
src/exgset.c
src/exgsetd.c
src/exgsetp.c
src/exgsnl.c
src/exgsp.c
src/exgss.c
src/exgssc.c
src/exgssd.c
src/exgssi.c
src/exgssn.c
src/exgsstt.c
src/exgssv.c
src/exgssvid.c
src/exgtim.c
src/exgtt.c
src/exgvan.c
src/exgvar.c
src/exgvarnam.c
src/exgvarnams.c
src/exgvarparam.c
src/exgvart.c
src/exgvartab.c
src/exgvid.c
src/exgvnm.c
src/exgvp.c
src/exgvtt.c
src/exgvv.c
src/exinq.c
src/exopen.c
src/exopts.c
src/expatn.c
src/expatt.c
src/expattp.c
src/expblk.c
src/expcab.c
src/expclb.c
src/expcns.c
src/expcon.c
src/expconn.c
src/expcor.c
src/expcset.c
src/expcss.c
src/expean.c
src/expeat.c
src/expecpp.c
src/expelb.c
src/expelc.c
src/expem.c
src/expenm.c
src/expev.c
src/expfrm.c
src/expgv.c
src/expidm.c
src/expinf.c
src/expini.c
src/expinix.c
src/expmap.c
src/expmp.c
src/expnam.c
src/expnams.c
src/expncor.c
src/expnm.c
src/expnmap.c
src/expnnm.c
src/expnnv.c
src/expnoatt.c
src/expnp.c
src/expns.c
src/expnsd.c
src/expnstt.c
src/expnsv.c
src/expnv.c
src/expnvar.c
src/expnvv.c
src/expoatt.c
src/expoea.c
src/expp.c
src/exppa.c
src/exppem.c
src/exppn.c
src/exppsetd.c
src/expqa.c
src/expset.c
src/expsetd.c
src/expsetp.c
src/expsp.c
src/expss.c
src/expssd.c
src/expsstt.c
src/expssv.c
src/exptim.c
src/exptt.c
src/expvan.c
src/expvar.c
src/expvarnam.c
src/expvarnams.c
src/expvarparam.c
src/expvartab.c
src/expvnm.c
src/expvp.c
src/expvpa.c
src/expvpax.c
src/expvpc.c
src/expvtt.c
src/expvv.c
src/exupda.c
)

SET(cbind_HEADERS
  include/exodusII.h
  include/exodusII_ext.h
  include/exodusII_int.h
)

IF(APPLE)
  SET_SOURCE_FILES_PROPERTIES(
    src/ex_utils.c
    PROPERTIES
    COMPILE_FLAGS -fno-common)
ENDIF(APPLE)

ADD_LIBRARY(exoIIv2c ${cbind_SRCS})

TARGET_LINK_LIBRARIES(exoIIv2c ${NETCDF_LIBRARY} ${HDF5_LIBRARY} ${HDF5HL_LIBRARY})

IF(MSVC)
  set_target_properties(exoIIv2c PROPERTIES COMPILE_DEFINITIONS _CRT_SECURE_NO_WARNINGS)
ENDIF(MSVC)

IF(EXODUS_LIBRARY_PROPERTIES)
  SET_TARGET_PROPERTIES(exoIIv2c PROPERTIES ${EXODUS_LIBRARY_PROPERTIES})
ENDIF(EXODUS_LIBRARY_PROPERTIES)

IF(NOT EXODUS_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS exoIIv2c
    RUNTIME DESTINATION lib COMPONENT Runtime
    LIBRARY DESTINATION lib COMPONENT Runtime
    ARCHIVE DESTINATION lib COMPONENT Development)
  INSTALL(FILES ${cbind_HEADERS} DESTINATION include COMPONENT Development)
ENDIF(NOT EXODUS_INSTALL_NO_LIBRARIES)


INCLUDE (${CMAKE_ROOT}/Modules/Dart.cmake)

IF (BUILD_TESTING)
  ENABLE_TESTING()
  SUBDIRS(test)
ENDIF (BUILD_TESTING)

=== exodus/forbind/CMakeLists.txt ===
INCLUDE(PackageLibraryMacros)
INCLUDE(FortranSettings)

INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
  "${CMAKE_CURRENT_BINARY_DIR}/include"
)

SET(SOURCES "")
SET_AND_INC_DIRS(DIR ${CMAKE_CURRENT_SOURCE_DIR})

APPEND_GLOB(SOURCES ${DIR}/src/*.c ${DIR}/src/*.F)

SET(HEADERS
  include/exodusII.inc
  include/exodusII_int.inc
)

PACKAGE_ADD_LIBRARY(
	exodus_for
	HEADERS	${HEADERS}
	SOURCES ${SOURCES}
	DEPLIBS exodus
)

PACKAGE_ADD_TEST_DIRECTORIES(test)

=== exodus/cbind/test/CMakeLists.txt ===
ADD_DEFINITIONS(-DUSING_CMAKE)

SET( cbind_TEST_SRCS
  CreateEdgeFace.c
  ReadEdgeFace.c
)

# Always report error/warning messages during testing:
# The ex_opts call precipitates the EXTRA_INCLUDE below.
SET( CMAKE_TESTDRIVER_BEFORE_TESTMAIN
  "  ex_opts( EX_VERBOSE );\n"
)
CREATE_TEST_SOURCELIST( ExoIICTests
  ExoIICTests.cxx
  ${cbind_TEST_SRCS}
  EXTRA_INCLUDE exodusII_test.h
  )

ADD_EXECUTABLE( ExoIICTests ${ExoIICTests} )
TARGET_LINK_LIBRARIES( ExoIICTests exoIIv2c )

SET( TestsToRun ${ExoIICTests} )
REMOVE( TestsToRun ExoIICTests.cxx )

FOREACH( test ${TestsToRun} )
  GET_FILENAME_COMPONENT(TName ${test} NAME_WE)
  ADD_TEST( ${TName} ${EXECUTABLE_OUTPUT_PATH}/ExoIICTests ${TName} )
ENDFOREACH( test )
ADD_TEST( CreateEdgeFaceWithConcats ${EXECUTABLE_OUTPUT_PATH}/ExoIICTests CreateEdgeFace -pcab -pcset -pvpax )
ADD_TEST( ReadEdgeFaceWithConcats ${EXECUTABLE_OUTPUT_PATH}/ExoIICTests ReadEdgeFace )

# ===============================================

SET( cbind_OLDTESTS
  testwt
  testwtd
  testrd
  testrd1
  testrdd
  testwt1
  testwt2
  testwtm
  testwt_ss
  testwt_nossnsdf
  testrd_ss
  testrdwt
  testcp
  testcp_ln
  testcp_nl
  testcpd
  testwt_clb
  testwt_nc
  testrd_nc
  testwt-zeroe
  testwt-zeron
  testrdv
  testwt-one-attrib
  testwt-partial
  testrd-partial
  testrd-nsided
  testwt-nsided
  testrd-nfaced
  testwt-nfaced
  create_mesh
  rd_wt_mesh
  testwt-long-name
  testrd-long-name)

CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/testall.in
  ${CMAKE_CURRENT_BINARY_DIR}/testall
  @ONLY
)

FOREACH ( testName ${cbind_OLDTESTS} )
  ADD_EXECUTABLE( ${testName} ${testName}.c )
  TARGET_LINK_LIBRARIES( ${testName} exoIIv2c )
ENDFOREACH ( testName )

#SET( EXECUTABLE_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR} )
ADD_CUSTOM_TARGET( check
  COMMAND /bin/csh ${CMAKE_CURRENT_BINARY_DIR}/testall
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  DEPENDS ${cbind_OLDTESTS}
)

=== exodus/forbind/test/CMakeLists.txt ===
INCLUDE(PackageAddExecutable)
INCLUDE(PackageAddTest)
INCLUDE(PackageAddAdvancedTest)

ADD_DEFINITIONS(-DUSING_CMAKE)

find_program (${PACKAGE_NAME}_Netcdf_EXECUTABLE_NCDUMP
	     NAME ncdump
	     PATHS 
	        $ENV{ACCESS}/bin
	        $ENV{NETCDF_DIR}/bin
	        $ENV{NETCDF_DIR}/ncdump
		ENV PATH
	     )
	     
# ===============================================


IF (${PACKAGE_NAME}_Netcdf_EXECUTABLE_NCDUMP)
  SET( forbind_OLDTESTS
    testwt
    testwtd
    testrd
    testrd1
    testrdd
    testwt1
    testwt2
    testwtm
    testcp
    testcpnl
    testcpln
    testwt_nsid
    testrd_nsid
  )

  CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/testall.in
    ${CMAKE_CURRENT_BINARY_DIR}/testall
    @ONLY
  )

  # NOTE: The "LINKER_LANGUAGE CXX" is used to workaround an issue with
  #       the trilinos cmake adding the pamgen and pamgen_extras libraries as
  #       a dependency.  These are C++ libraries and result in unresolved depedencies
  #       when built with shareable libraries on some platforms....

  FOREACH ( testName ${forbind_OLDTESTS} )
    PACKAGE_ADD_EXECUTABLE( f_${testName} NOEXEPREFIX LINKER_LANGUAGE Fortran SOURCES ${testName}.f DEPLIBS exodus_for)
  ENDFOREACH ( testName )

  PACKAGE_ADD_ADVANCED_TEST(
   exodus_unit_tests
   TEST_0 CMND /bin/csh ARGS ${CMAKE_CURRENT_BINARY_DIR}/testall
	  OUTPUT_FILE exodus_unit_tests.out
	  PASS_ANY
   TEST_1 CMND diff ARGS ${CMAKE_CURRENT_SOURCE_DIR}/exodus_unit_tests.gold 
		         ${CMAKE_CURRENT_BINARY_DIR}/exodus_unit_tests.out
   COMM serial		      
   FINAL_PASS_REGULAR_EXPRESSION 
  )
ELSE()
  MESSAGE(STATUS
      "WARNING: ${PACKAGE_NAME}: Exodus unit tests will not be run due to failure finding ncdump executable.")
ENDIF()

=== debian/changelog ===
exodusii (5.14.dfsg.1-2) unstable; urgency=low

  * Add HDF5 build dependencies. Not included by netcdf-dev. Closes: #645571 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Oct 2011 15:51:21 +0100

exodusii (5.14.dfsg.1-1) unstable; urgency=low

  * Initial release. (Closes: #644586)
  * DFSG version does not ship the PDFs.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Oct 2011 10:28:10 +0100

=== debian/control ===
Source: exodusii
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), cmake (>= 2.4.0), libnetcdf-dev, gfortran, chrpath, libhdf5-serial-dev | libhdf5-dev, csh
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/exodusii/

Package: libexodusii5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: exodusII datamodel for finite element analysis 
 EXODUS II is a model developed to store and retrieve transient data for
 finite element analyses. It is used for preprocessing, postprocessing,
 as well as code to code data transfer. ExodusII is based on netcdf.

Package: libnemesis3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libexodusii5 (= ${binary:Version})
Description: Parallel extension to the EXODUSII datamodel
 NEMESIS is an enhancement to the EXODUSII finite element database
 model used to store and retrieve data for unstructured parallel finite
 element analyses. NEMESIS adds data structures which facilitate the
 partitioning of a scalar (standard serial) EXODUSII file onto parallel
 disk systems found on many parallel computers.

Package:  libexodusii-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libnetcdf-dev, libnemesis3 ( = ${binary:Version}), libexodusii5 (= ${binary:Version})
Description: exodusII datamodel for finite element analysis
 EXODUS II is a model developed to store and retrieve transient data for
 finite element analyses. It is used for preprocessing, postprocessing, 
 as well as code to code data transfer. ExodusII is based on netcdf.
 It includes the nemesis parallel extension.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Version numbers
EX_SO_MAJOR=5
EX_SO_MINOR=0
EX_SO_PATCH=14
EX_SONAME=libexoIIv2c.so.$(EX_SO_MAJOR)
EX_SONAME_FULL=$(EX_SONAME).$(EX_SO_MINOR).$(EX_SO_PATCH)
NE_SO_MAJOR=3
NE_SO_MINOR=09
NE_SO_PATCH=0
NE_SONAME=libnemesis.so.$(NE_SO_MAJOR)
NE_SONAME_FULL=$(NE_SONAME).$(NE_SO_MINOR).$(NE_SO_PATCH)

TOPDIR=$(shell pwd)
PKGDIR=debian/libexodusii-dev
PREFIX=$(TOPDIR)/debian/tmp/usr
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

# Magic debhelper rule
%:
	dh $@ --buildsystem cmake --sourcedirectory=exodus


override_dh_auto_clean:
	dh_auto_clean
	rm -rf *build exodusii

override_dh_auto_build:
	dh_auto_build
	# Shared build.
	mkdir -p exodus-shared-build
	( cd exodus-shared-build && \
		cmake ../exodus -DCMAKE_INSTALL_PREFIX=$(PREFIX)  \
			-DBUILD_SHARED_LIBS=TRUE -DCMAKE_SHARED_LINKER_FLAGS="-Wl,-z,relro -Wl,--as-needed"  && \
		$(MAKE))
	# Then build nemesis
	ln -sf exodus exodusii
	mkdir -p nemesis-build
	(cd nemesis-build && \
		cmake ../nemesis -DEXODUS_LIBRARY=$(TOPDIR)/exodus-shared-build/cbind/$(EX_SONAME_FULL)  && \
		$(MAKE))
	mkdir -p nemesis-shared-build
	( cd nemesis-shared-build && \
		cmake ../nemesis  -DEXODUS_LIBRARY=$(TOPDIR)/exodus-shared-build/cbind/$(EX_SONAME_FULL) \
			 -DBUILD_SHARED_LIBS=TRUE -DCMAKE_SHARED_LINKER_FLAGS="-Wl,-z,relro -Wl,--as-needed" && \
		$(MAKE) )	

override_dh_auto_install:
	$(MAKE) -C exodus-shared-build install
	dh_auto_install
	dh_install -p libexodusii-dev nemesis-build/libnemesis.a $(LIBDIR)
	dh_install -p libexodusii-dev usr/lib/libexoIIv2c.a $(LIBDIR)
	dh_install -p libexodusii-dev nemesis/ne_nemesisI.h /usr/include
	dh_install -p libexodusii5  exodus-shared-build/cbind/$(EX_SONAME_FULL) $(LIBDIR)
	dh_install -p libnemesis3  nemesis-shared-build/$(NE_SONAME_FULL) $(LIBDIR)
	chrpath -d debian/libnemesis3/$(LIBDIR)/$(NE_SONAME_FULL)
	dh_link -p libexodusii5 $(LIBDIR)/$(EX_SONAME_FULL) $(LIBDIR)/$(EX_SONAME).$(EX_SO_MINOR)
	dh_link -p libexodusii5 $(LIBDIR)/$(EX_SONAME_FULL) $(LIBDIR)/$(EX_SONAME)
	dh_link -p libnemesis3  $(LIBDIR)/$(NE_SONAME_FULL) $(LIBDIR)/$(NE_SONAME).$(NE_SO_MINOR)
	dh_link -p libnemesis3  $(LIBDIR)/$(NE_SONAME_FULL) $(LIBDIR)/$(NE_SONAME)
	dh_link -p libexodusii-dev $(LIBDIR)/$(EX_SONAME_FULL) $(LIBDIR)/libexoIIv2.so
	dh_link -p libexodusii-dev $(LIBDIR)/$(NE_SONAME_FULL) $(LIBDIR)/libnemesis.so
